# This file was automatically generated by Shore. Do not edit manually.
# For more information on Shore see https://pypi.org/project/nr.shore/

from __future__ import print_function
import io
import os
import re
import setuptools
import sys

with io.open('src/hydrator/__init__.py', encoding='utf8') as fp:
  version = re.search(r"__version__\s*=\s*'(.*)'", fp.read()).group(1)

readme_file = 'README.md'
if os.path.isfile(readme_file):
  with io.open(readme_file, encoding='utf8') as fp:
    long_description = fp.read()
else:
  print("warning: file \"{}\" does not exist.".format(readme_file), file=sys.stderr)
  long_description = None

requirements = ['click >=7.1.1,<8.0.0', 'nr.config >=0.1.0,<0.2.0', 'nr.databind.core >=0.0.8,<0.1.0', 'nr.databind.json >=0.0.7,<0.1.0', 'nr.fs >=1.6.0,<2.0.0', 'nr.proxy >=0.0.2,<0.1.0', 'PyYAML >=5.3.0,<5.4.0', 'requests >=2.23.0,<3.0.0', 'termcolor >=1.1.0,<2.0.0']

setuptools.setup(
  name = 'hydrator',
  version = version,
  author = 'Niklas Rosenstein',
  author_email = 'rosensteinniklas@gmail.com',
  description = 'Hydrate your development environment.',
  long_description = long_description,
  long_description_content_type = 'text/markdown',
  url = 'https://git.niklasrosenstein.com/NiklasRosenstein/hydrator',
  license = 'MIT',
  packages = setuptools.find_packages('src', ['test', 'test.*', 'docs', 'docs.*']),
  package_dir = {'': 'src'},
  include_package_data = True,
  install_requires = requirements,
  extras_require = {},
  tests_require = [],
  python_requires = None, # TODO: '>=3.4,<4.0.0',
  data_files = [],
  entry_points = {
    'console_scripts': [
      'hydrator = hydrator.__main__:hydrator',
    ]
  },
  cmdclass = {},
  keywords = [],
  classifiers = [],
)
